API Reference
Update domain prompts (sentiment, alignment)
PATCH
header
X-API-Key<token>API Key for programmatic access
domainId*stringDomain prompts updated
application/json- response
sentimentPrompts*array<>Sentiment prompts per market/language pair
globalAlignmentPrompts*array<>Alignment prompts that apply to the brand as a whole
alignmentPrompts*array<>Alignment prompts bound to one brand attribute each
updatedAt*stringWhen the prompt set was last modified
Format
date-timecurl -X PATCH 'https://api.getmint.ai/api/domains/string/prompts'{ "sentimentPrompts": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "market": "US", "languageCode": "en", "prompts": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "prompt": "What do customers think about Nike?", "isActive": true, "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z", "criterion": "price" } ] } ], "globalAlignmentPrompts": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "market": "US", "languageCode": "en", "prompts": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "prompt": "What do customers think about Nike?", "isActive": true, "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z" } ] } ], "alignmentPrompts": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "market": "US", "languageCode": "en", "prompts": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "prompt": "What do customers think about Nike?", "isActive": true, "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z", "attribute": "innovation", "attributeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6" } ] } ], "updatedAt": "2026-05-25T10:30:00.000Z"}